- Qt 6.10
- Qt SVG
- C++ Classes
- QtSvgWidgets
- QGraphicsSvgItem
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QGraphicsSvgItem

The following members of class QGraphicsSvgItem are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` bool | isCachingEnabled() const
`(deprecated)` void | setCachingEnabled(bool caching)

## Member Function Documentation

### `[deprecated]` bool QGraphicsSvgItem::isCachingEnabled() const

This function is deprecated. We strongly advise against using it in new code.

Use QGraphicsItem::cacheMode() instead.

### `[deprecated]` void QGraphicsSvgItem::setCachingEnabled(bool caching)

This function is deprecated. We strongly advise against using it in new code.

Use QGraphicsItem::setCacheMode() instead. Passing true to this function is equivalent to QGraphicsItem::setCacheMode(QGraphicsItem::DeviceCoordinateCache).

See also isCachingEnabled().